RecordComponentElement (Java SE 14 & JDK 14)
Description: declaration: module: java.compiler, package: javax.lang.model.element, interface: RecordComponentElement
Keywords: javax.lang.model.element.RecordComponentElement interface

Module java.compiler
Package javax.lang.model.element

# Interface RecordComponentElement

All Superinterfaces:
  `AnnotatedConstruct`, `Element`

    public interface RecordComponentElement
    extends Element

This class is associated with records, a preview feature of the Java language. Preview features may be removed in a future release, or upgraded to permanent features of the Java language.
Represents a record component.

Since:
  14

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `ExecutableElement` | `getAccessor()` | Returns the executable element for the accessor associated with the given record component.
  `Element` | `getEnclosingElement()` | Returns the enclosing element of this record component.
  `Name` | `getSimpleName()` | Returns the simple name of this record component.

  ### Methods declared in interface javax.lang.model.AnnotatedConstruct

  `getAnnotationsByType`

  ### Methods declared in interface javax.lang.model.element.Element

  `accept, asType, equals, getAnnotation, getAnnotationMirrors, getEnclosedElements, getKind, getModifiers, hashCode`

- ## Method Details

  - ### getEnclosingElement

    Element getEnclosingElement()
    Returns the enclosing element of this record component. The enclosing element of a record component is the type declaring the record component.
    Specified by:
      `getEnclosingElement` in interface `Element`
    Returns:
      the enclosing element of this record component
    See Also:
      `Elements.getPackageOf(javax.lang.model.element.Element)`

  - ### getSimpleName

    Name getSimpleName()
    Returns the simple name of this record component.

    The name of each record component must be distinct from the names of all other record components.

    Specified by:
      `getSimpleName` in interface `Element`
    Returns:
      the simple name of this record component
    See Java Language Specification:
      6.2 Names and Identifiers
    See Also:
      `PackageElement.getSimpleName()`, `ExecutableElement.getSimpleName()`, `TypeElement.getSimpleName()`, `VariableElement.getSimpleName()`, `ModuleElement.getSimpleName()`, `getSimpleName()`

  - ### getAccessor

    ExecutableElement getAccessor()
    Returns the executable element for the accessor associated with the given record component.
    Returns:
      the record component accessor.